{#
/**
 * @file
 * Default theme implementation for a 'form' element.
 *
 * Available variables
 * - attributes: A list of HTML attributes for the wrapper element.
 * - children: The child elements of the form.
 *
 * @see template_preprocess_form()
 *
 * @ingroup themeable
 */
#}
{% set classes = [
  'autocomplete',
  'autocomplete__form'
] %}
<button class="navbar__search-button" id="navbar-open-search" aria-labelledby="open-search-field">
  <span class="sr-only d-none" id="open-search-field">{{ 'Open searchfield'|t }}</span>
  <span class="fa-sharp fa-solid fa-magnifying-glass" aria-hidden="true"></span>
</button>
<div id="inner-search-container">
  <button class="navbar__search-close-button" id="navbar-close-search" aria-label="{{ 'Close searchfield'|t }}">
    <span class="close-icon">X</span>
  </button>
  <form{{ attributes.addClass(classes) }} role="search">
    {{ children }}
  </form>
  <div id="autocomplete__results__container">
  </div>
</div>
